## golang-github-xenolf-lego 4.1.3

=== Makefile ===
.PHONY: clean checks test build image e2e fmt

export GO111MODULE=on
export CGO_ENABLED=0

SRCS = $(shell git ls-files '*.go' | grep -v '^vendor/')

LEGO_IMAGE := goacme/lego
MAIN_DIRECTORY := ./cmd/lego/

BIN_OUTPUT := $(if $(filter $(shell go env GOOS), windows), dist/lego.exe, dist/lego)

TAG_NAME := $(shell git tag -l --contains HEAD)
SHA := $(shell git rev-parse HEAD)
VERSION := $(if $(TAG_NAME),$(TAG_NAME),$(SHA))

default: clean generate-dns checks test build

clean:
	@echo BIN_OUTPUT: ${BIN_OUTPUT}
	rm -rf dist/ builds/ cover.out

build: clean
	@echo Version: $(VERSION)
	go build -v -trimpath -ldflags '-X "main.version=${VERSION}"' -o ${BIN_OUTPUT} ${MAIN_DIRECTORY}

image:
	@echo Version: $(VERSION)
	docker build -t $(LEGO_IMAGE) .

publish-images:
	seihon publish -v "$(TAG_NAME)" -v "latest" --image-name="$(LEGO_IMAGE)" --dry-run=false

test: clean
	go test -v -cover ./...

e2e: clean
	LEGO_E2E_TESTS=local go test -count=1 -v ./e2e/...

checks:
	golangci-lint run

fmt:
	gofmt -s -l -w $(SRCS)

# Release helper
.PHONY: patch minor major detach

patch:
	go run internal/release.go release -m patch

minor:
	go run internal/release.go release -m minor

major:
	go run internal/release.go release -m major

detach:
	go run internal/release.go detach

# Docs
.PHONY: docs-build docs-serve docs-themes

docs-build: generate-dns
	@make -C ./docs hugo-build

docs-serve: generate-dns
	@make -C ./docs hugo

docs-themes:
	@make -C ./docs hugo-themes

# DNS Documentation
.PHONY: generate-dns validate-doc

generate-dns:
	go generate ./...

validate-doc: generate-dns
ifneq ($(shell git status --porcelain -- ./docs/ ./cmd/ 2>/dev/null),)
	@echo 'The documentation must be regenerated, please use `make generate-dns`.'
	@git status --porcelain -- ./docs/ ./cmd/ 2>/dev/null
	@exit 2
else
	@echo 'All documentation changes are done the right way.'
endif

## golang-github-xenolf-lego 0.3.1

=== debian/changelog ===
golang-github-xenolf-lego (0.3.1-5) unstable; urgency=medium

  * Team upload.
  * Add 0002-Fix-FTBFS-vultr-API.patch (Closes: #869270)
  * Add 0003-Fix-test-failures-with-go18.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 24 Jul 2017 07:15:22 +0200

golang-github-xenolf-lego (0.3.1-4) unstable; urgency=medium

  * Team upload.
  * Replace golang-golang-x-oauth2-dev with golang-golang-x-oauth2-google-dev.
    (Closes: #844978)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 19 Nov 2016 16:11:59 +0100

golang-github-xenolf-lego (0.3.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch for FTBFS on 32 bit architectures. Closes: #834785
  * Use golang-any instead of golang-go

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 14 Nov 2016 12:45:24 +0100

golang-github-xenolf-lego (0.3.1-2) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Team upload.
  * Remove "googlecloud_test.go" due to network access (Closes: #834713)

  [ Dr. Tobias Quathamer ]
  * Use debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 13 Nov 2016 12:35:47 +0100

golang-github-xenolf-lego (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #813502).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 16 Aug 2016 11:21:01 +1000

=== debian/control ===
Source: golang-github-xenolf-lego
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
          ,Zlatan Todorić <zlatan@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-codegangsta-cli-dev,
               golang-github-jamesclonk-vultr-dev,
               golang-dns-dev | golang-github-miekg-dns-dev,
               golang-github-stretchr-testify-dev,
               golang-github-weppos-dnsimple-go-dev,
#           golang-github-dnsimple-dnsimple-go-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-google-api-dev,
               golang-gopkg-square-go-jose.v1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/xenolf/lego
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-xenolf-lego.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-xenolf-lego.git
XS-Go-Import-Path: github.com/xenolf/lego

Package: golang-github-xenolf-lego-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-aws-aws-sdk-go-dev,
         golang-github-codegangsta-cli-dev,
         golang-github-jamesclonk-vultr-dev,
         golang-dns-dev | golang-github-miekg-dns-dev,
         golang-github-stretchr-testify-dev,
         golang-github-weppos-dnsimple-go-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-google-api-dev,
         golang-gopkg-square-go-jose.v1-dev
Description: Let's Encrypt ACME library
 Let's Encrypt ACME library written in Go.

Package: lego
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Let's Encrypt client
 Let's Encrypt client written in Go.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --parallel

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
" https://github.com/xenolf/lego/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-xenolf-lego 2.7.2+dfsg

=== debian/changelog ===
golang-github-xenolf-lego (2.7.2+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #947062).
    + name space changed to "github.com/go-acme/lego"
    + Provides: golang-github-go-acme-lego-dev
  * Lego: Depends += "ca-certificates" (Closes: #856280).
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.4.1
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Dec 2019 10:13:35 +1100

=== debian/control ===
Source: golang-github-xenolf-lego
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
          ,Zlatan Todorić <zlatan@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
    golang-github-aws-aws-sdk-go-dev,
#   golang-github-azure-azure-sdk-for-go-dev,
    golang-github-burntsushi-toml-dev,
    golang-github-cenkalti-backoff-dev,
    golang-github-codegangsta-cli-dev,
    golang-github-jamesclonk-vultr-dev,
    golang-github-miekg-dns-dev,
    golang-github-nrdcg-goinwx-dev,
    golang-github-ovh-go-ovh-dev,
    golang-github-stretchr-testify-dev,
    golang-github-vultr-govultr-dev,
    golang-github-weppos-dnsimple-go-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-google-dev,
    golang-google-api-dev,
    golang-gopkg-square-go-jose.v2-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/go-acme/lego
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego.git
XS-Go-Import-Path: github.com/go-acme/lego
Testsuite: autopkgtest-pkg-go

Package: golang-github-xenolf-lego-dev
Provides: golang-github-go-acme-lego-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-aws-aws-sdk-go-dev,
#   golang-github-azure-azure-sdk-for-go-dev,
    golang-github-burntsushi-toml-dev,
    golang-github-cenkalti-backoff-dev,
    golang-github-codegangsta-cli-dev,
    golang-github-jamesclonk-vultr-dev,
    golang-github-miekg-dns-dev,
    golang-github-nrdcg-goinwx-dev,
    golang-github-ovh-go-ovh-dev,
    golang-github-stretchr-testify-dev,
    golang-github-vultr-govultr-dev,
    golang-github-weppos-dnsimple-go-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-dev,
    golang-google-api-dev,
    golang-gopkg-square-go-jose.v2-dev,
Description: Let's Encrypt ACME library
 Let's Encrypt ACME library written in Go.

Package: lego
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,ca-certificates
Description: Let's Encrypt client
 Let's Encrypt client written in Go.

## golang-github-xenolf-lego 3.2.0

=== debian/changelog ===
golang-github-xenolf-lego (3.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump golang-github-nrdcg-goinwx-dev (build) dependencies
    to (>= 0.8.1-1~). (Closes: #982149)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 01:57:10 +0200

golang-github-xenolf-lego (3.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arnaud Rebillout ]
  * Fix FTBFS against nrdcg-goinwx-dev 0.8 (Closes: #975789).
  * Section = golang for dev package, = admin for binary package.
  * Debhelper compat = 13.
  * Rules-Requires-Root = no.
  * Standards-Version = 4.5.0.
  * Add debian/not-installed (due to dh compat 13).

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 11 Jan 2021 16:21:31 +0700

golang-github-xenolf-lego (3.2.0-2) unstable; urgency=medium

  * Disabled some unreliable tests (Closes: #954577).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2020 13:00:52 +1000

golang-github-xenolf-lego (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
    = golang-github-cenkalti-backoff-dev (>= 3.1.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 07:19:14 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: golang-github-xenolf-lego
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
           ,Zlatan Todorić <zlatan@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
     golang-github-aws-aws-sdk-go-dev,
 #   golang-github-azure-azure-sdk-for-go-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-cenkalti-backoff-dev,
+    golang-github-cenkalti-backoff-dev (>= 3.1.1~),
     golang-github-codegangsta-cli-dev,
     golang-github-jamesclonk-vultr-dev,
     golang-github-miekg-dns-dev,
-    golang-github-nrdcg-goinwx-dev,
+    golang-github-nrdcg-goinwx-dev (>= 0.8.1-1~),
     golang-github-ovh-go-ovh-dev,
     golang-github-stretchr-testify-dev,
     golang-github-vultr-govultr-dev,
@@ -24,7 +24,8 @@
     golang-golang-x-oauth2-google-dev,
     golang-google-api-dev,
     golang-gopkg-square-go-jose.v2-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/go-acme/lego
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego.git
@@ -38,11 +39,11 @@
     golang-github-aws-aws-sdk-go-dev,
 #   golang-github-azure-azure-sdk-for-go-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-cenkalti-backoff-dev,
+    golang-github-cenkalti-backoff-dev (>= 3.1.1~),
     golang-github-codegangsta-cli-dev,
     golang-github-jamesclonk-vultr-dev,
     golang-github-miekg-dns-dev,
-    golang-github-nrdcg-goinwx-dev,
+    golang-github-nrdcg-goinwx-dev (>= 0.8.1-1~),
     golang-github-ovh-go-ovh-dev,
     golang-github-stretchr-testify-dev,
     golang-github-vultr-govultr-dev,
@@ -57,6 +58,7 @@
 
 Package: lego
 Architecture: any
+Section: admin
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := e2e internal/dnsdocs
export DH_GOLANG_INSTALL_EXTRA := \
    $(wildcard challenge/dns01/fixtures/*) \
    $(wildcard internal/dnsdocs/*.tmpl) \
    providers/dns/rfc2136/rfc2136.toml

#   $(wildcard docs/content/dns/*.md) \

nodns= \
    acmedns \
    alidns \
    auroradns \
    azure \
    bindman \
    cloudflare \
    designate \
    dnsimple \
    dnspod \
    exoscale \
    fastdns \
    iij \
    linode \
    linodev4 \
    liquidweb \
    namedotcom \
    namesilo \
    ns1 \
    oraclecloud \
    sakuracloud \
    transip \
    vegadns \

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
# Remove providers with non-packaged dependencies:
	$(RM) -r \
            providers/http/memcached \
        ;

override_dh_auto_configure:
	dh_auto_configure
	set -e -x ;\
        cd _build/src/github.com/go-acme/lego && \
        for P in $(nodns); do \
            perl -ni -E "print unless m{\b$$P\b}" providers/dns/dns_providers.go ;\
            rm -rf providers/dns/$$P ;\
        done

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## golang-github-xenolf-lego 4.1.3

=== debian/changelog ===
golang-github-xenolf-lego (4.1.3-3ubuntu1) jammy; urgency=medium

  * append patch to skip even more tests which need network access

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 15 Dec 2021 13:08:14 -0600

golang-github-xenolf-lego (4.1.3-3) unstable; urgency=medium

  * add patch to skip tests which need network access (Closes: #993713)

 -- Félix Sipma <felix@debian.org>  Fri, 10 Sep 2021 11:42:24 +0200

golang-github-xenolf-lego (4.1.3-2) unstable; urgency=medium

  * put the same B-D for golang-github-go-acme-lego and
    golang-github-go-acme-lego-dev

 -- Félix Sipma <felix@debian.org>  Sun, 05 Sep 2021 11:16:18 +0200

golang-github-xenolf-lego (4.1.3-1) experimental; urgency=medium

  * Team Upload

  [ Félix Sipma ]
  * New upstream release, closes: #974866
  * update BuildDepends:
    - bump golang-github-cenkalti-backoff-dev to >= 4.1.0
    - add golang-github-google-go-querystring-dev
    - add golang-github-pquerna-otp-dev
    - add golang-github-akamai-akamaiopen-edgegrid-golang-dev
    - add golang-github-nrdcg-desec-dev
  * rebase consistency.patch and drop_providers.patch
  * remove fix-build-nrdcg-goinwx-0.8.patch (not needed anymore)
  * add providers/**/fixtures/* files to test_data

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Feb 2021 07:13:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: golang-github-xenolf-lego
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
           ,Zlatan Todorić <zlatan@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+    golang-github-akamai-akamaiopen-edgegrid-golang-dev,
     golang-github-aws-aws-sdk-go-dev,
 #   golang-github-azure-azure-sdk-for-go-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-cenkalti-backoff-dev (>= 3.1.1~),
+    golang-github-cenkalti-backoff-dev (>= 4.1.0),
     golang-github-codegangsta-cli-dev,
+    golang-github-google-go-querystring-dev,
     golang-github-jamesclonk-vultr-dev,
     golang-github-miekg-dns-dev,
-    golang-github-nrdcg-goinwx-dev (>= 0.8.1-1~),
+    golang-github-nrdcg-desec-dev,
+    golang-github-nrdcg-goinwx-dev,
     golang-github-ovh-go-ovh-dev,
+    golang-github-pquerna-otp-dev,
     golang-github-stretchr-testify-dev,
     golang-github-vultr-govultr-dev,
     golang-github-weppos-dnsimple-go-dev,
@@ -36,21 +41,25 @@
 Provides: golang-github-go-acme-lego-dev
 Architecture: all
 Depends: ${misc:Depends},
+    golang-github-akamai-akamaiopen-edgegrid-golang-dev,
     golang-github-aws-aws-sdk-go-dev,
 #   golang-github-azure-azure-sdk-for-go-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-cenkalti-backoff-dev (>= 3.1.1~),
+    golang-github-cenkalti-backoff-dev (>= 4.1.0),
     golang-github-codegangsta-cli-dev,
+    golang-github-google-go-querystring-dev,
     golang-github-jamesclonk-vultr-dev,
     golang-github-miekg-dns-dev,
-    golang-github-nrdcg-goinwx-dev (>= 0.8.1-1~),
+    golang-github-nrdcg-desec-dev,
+    golang-github-nrdcg-goinwx-dev,
     golang-github-ovh-go-ovh-dev,
+    golang-github-pquerna-otp-dev,
     golang-github-stretchr-testify-dev,
     golang-github-vultr-govultr-dev,
     golang-github-weppos-dnsimple-go-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
-    golang-golang-x-oauth2-dev,
+    golang-golang-x-oauth2-google-dev,
     golang-google-api-dev,
     golang-gopkg-square-go-jose.v2-dev,
 Description: Let's Encrypt ACME library

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export DH_GOLANG_INSTALL_EXTRA := \
     $(wildcard challenge/dns01/fixtures/*) \
     $(wildcard internal/dnsdocs/*.tmpl) \
+    $(wildcard providers/dns/*/internal/fixtures/*) \
+    $(wildcard providers/dns/internal/*/fixtures/*) \
     providers/dns/rfc2136/rfc2136.toml
 
 #   $(wildcard docs/content/dns/*.md) \

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/go-acme/lego/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-xenolf-lego 4.9.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 export GO111MODULE=on
 export CGO_ENABLED=0
-
-SRCS = $(shell git ls-files '*.go' | grep -v '^vendor/')
 
 LEGO_IMAGE := goacme/lego
 MAIN_DIRECTORY := ./cmd/lego/
@@ -22,7 +20,7 @@
 
 build: clean
 	@echo Version: $(VERSION)
-	go build -v -trimpath -ldflags '-X "main.version=${VERSION}"' -o ${BIN_OUTPUT} ${MAIN_DIRECTORY}
+	go build -trimpath -ldflags '-X "main.version=${VERSION}"' -o ${BIN_OUTPUT} ${MAIN_DIRECTORY}
 
 image:
 	@echo Version: $(VERSION)
@@ -39,9 +37,6 @@
 
 checks:
 	golangci-lint run
-
-fmt:
-	gofmt -s -l -w $(SRCS)
 
 # Release helper
 .PHONY: patch minor major detach
@@ -77,10 +72,12 @@
 	go generate ./...
 
 validate-doc: generate-dns
-ifneq ($(shell git status --porcelain -- ./docs/ ./cmd/ 2>/dev/null),)
-	@echo 'The documentation must be regenerated, please use `make generate-dns`.'
-	@git status --porcelain -- ./docs/ ./cmd/ 2>/dev/null
-	@exit 2
-else
-	@echo 'All documentation changes are done the right way.'
-endif
+validate-doc: DOC_DIRECTORIES := ./docs/ ./cmd/
+validate-doc:
+	if git diff --exit-code --quiet $(DOC_DIRECTORIES) 2>/dev/null; then \
+		echo 'All documentation changes are done the right way.'; \
+	else \
+		echo 'The documentation must be regenerated, please use `make generate-dns`.'; \
+		git status --porcelain -- $(DOC_DIRECTORIES) 2>/dev/null; \
+		exit 2; \
+	fi

=== debian/changelog ===
golang-github-xenolf-lego (4.9.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore flaky test.  Closes: #1104399.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Use watch v5.
  * Improve Description:.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 02 Oct 2025 09:29:55 +0200

golang-github-xenolf-lego (4.9.1-2) unstable; urgency=medium

  * Team upload.
  * Add tzdata to Build-Depends. Closes: #1027374.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 23:45:00 +0100

golang-github-xenolf-lego (4.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.9.1 (Closes: #992492)
  * Update versioned dependencies as per go.mod (as much as currently possible)
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.2 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Replace Built-Using field with Static-Built-Using
  * debian/rules: Add newly added DNS providers to the nodns list for now
    until their dependencies are packaged for Debian.  The currently disabled
    DNS providers are:
      acmedns alidns auroradns azure bindman civo cloudflare designate
      dnsimple dnspod exoscale fastdns freemyip ibmcloud iij iijdpf infoblox
      linode linodev4 liquidweb namedotcom namesilo ns1 oraclecloud porkbun
      sakuracloud scaleway tencentcloud transip vegadns vinyldns vkcloud
      yandexcloud (See #968964)
  * Remove previously backported patches:
    - vultr-Update-to-govultr-v2-API-1302.patch
    - Fix-TestPEMEncode-on-Go-1.18.patch
  * Refresh patches, expanding coverage of skip_tests_with_network_access.patch
    which hopefully fixes FTBFS flaky tests (Closes: #1017651)
  * debian/copyright: Update Source URL to https://github.com/go-acme/lego
  * debian/copyright: Remove unneeded "Files-Excluded: vendor" field
  * debian/gbp.conf: Re-merge upstream files from master
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jan 2023 03:25:07 -0700

golang-github-xenolf-lego (4.1.3-5) unstable; urgency=medium

  * Team upload

  [ William 'jawn-smith' Wilson ]
  * append patch to skip even more tests which need network access

  [ Benjamin Drung ]
  * vultr: Update to govultr v2 API
  * Fix TestPEMEncode on Go 1.18

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Dec 2022 12:18:37 +0100

golang-github-xenolf-lego (4.1.3-4) unstable; urgency=medium

  * Team upload
  * Replace golang-github-codegangsta-cli-dev with
    golang-github-urfave-cli-dev
  * Fix uscan watch file
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 22 Aug 2022 00:16:35 +0800

=== debian/control ===
Source: golang-github-xenolf-lego
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
          ,Zlatan Todorić <zlatan@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
    golang-github-akamai-akamaiopen-edgegrid-golang-dev,
    golang-github-aws-aws-sdk-go-dev,
#   golang-github-azure-azure-sdk-for-go-dev,
    golang-github-burntsushi-toml-dev (>= 1.2.0),
    golang-github-cenkalti-backoff-dev (>= 4.1.3),
    golang-github-urfave-cli-v2-dev,
    golang-github-google-go-querystring-dev,
    golang-github-jamesclonk-vultr-dev,
    golang-github-miekg-dns-dev (>= 1.1.50),
    golang-github-nrdcg-desec-dev (>= 0.6.0),
    golang-github-nrdcg-goinwx-dev (>= 0.8.1),
    golang-github-ovh-go-ovh-dev,
    golang-github-pquerna-otp-dev (>= 1.3.0),
    golang-github-stretchr-testify-dev (>= 1.7.0),
    golang-github-vultr-govultr-dev (>= 2.7.1),
    golang-github-weppos-dnsimple-go-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-google-dev,
    golang-google-api-dev,
    golang-gopkg-square-go-jose.v2-dev,
    golang-sslmate-src-go-pkcs12-dev,
    tzdata,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Homepage: https://github.com/go-acme/lego
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xenolf-lego.git
XS-Go-Import-Path: github.com/go-acme/lego

Package: golang-github-xenolf-lego-dev
Provides: golang-github-go-acme-lego-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
    golang-github-akamai-akamaiopen-edgegrid-golang-dev,
    golang-github-aws-aws-sdk-go-dev,
#   golang-github-azure-azure-sdk-for-go-dev,
    golang-github-burntsushi-toml-dev (>= 1.2.0),
    golang-github-cenkalti-backoff-dev (>= 4.1.3),
    golang-github-urfave-cli-v2-dev,
    golang-github-google-go-querystring-dev,
    golang-github-jamesclonk-vultr-dev,
    golang-github-miekg-dns-dev (>= 1.1.50),
    golang-github-nrdcg-desec-dev (>= 0.6.0),
    golang-github-nrdcg-goinwx-dev (>= 0.8.1),
    golang-github-ovh-go-ovh-dev,
    golang-github-pquerna-otp-dev (>= 1.3.0),
    golang-github-stretchr-testify-dev (>= 1.7.0),
    golang-github-vultr-govultr-dev (>= 2.7.1),
    golang-github-weppos-dnsimple-go-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-google-dev,
    golang-google-api-dev,
    golang-gopkg-square-go-jose.v2-dev,
    golang-sslmate-src-go-pkcs12-dev,
Description: Let's Encrypt client and ACME library written in Go (Go library)
 Let's Encrypt client and ACME library written in Go.
 .
 This package contains the Go development library.

Package: lego
Architecture: any
Section: admin
Static-Built-Using: ${misc:Static-Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,ca-certificates
Description: Let's Encrypt client and ACME library written in Go (CLI tool)
 Let's Encrypt client and ACME library written in Go.
 .
 Features:
 .
 + ACME v2 [RFC 8555]
 + Register with CA
 + Obtain certificates, both from scratch or with an existing CSR
 + Renew certificates
 + Revoke certificates
 + Robust implementation of all ACME challenges
  - HTTP (http-01)
  - DNS (dns-01)
  - TLS (tls-alpn-01)
 + SAN certificate support
 + Comes with multiple optional DNS providers
 + Custom challenge solvers
 + Certificate bundling
 + OCSP helper function
 .
 This package contains the 'lego' command-line tool.

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,18 @@
     auroradns \
     azure \
     bindman \
+    civo \
     cloudflare \
     designate \
     dnsimple \
     dnspod \
     exoscale \
     fastdns \
+    freemyip \
+    ibmcloud \
     iij \
+    iijdpf \
+    infoblox \
     linode \
     linodev4 \
     liquidweb \
@@ -31,12 +36,18 @@
     namesilo \
     ns1 \
     oraclecloud \
+    porkbun \
     sakuracloud \
+    scaleway \
+    tencentcloud \
     transip \
     vegadns \
+    vinyldns \
+    vkcloud \
+    yandexcloud \
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
+	dh $@ --buildsystem=golang --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -56,3 +67,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+override_dh_auto_test:
+	dh_auto_test -- --skip=TestPEMEncode

=== debian/watch ===
Version: 5
Template: Github
Owner: go-acme
Project: lego
